﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Report;

namespace Reports_DynamicField
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            foreach(String name in c1Report1.GetReportInfo(@"CommonTasks.xml"))
            {
                comboBox1.Items.Add(name);
            }
            printPreviewControl1.Document = c1Report1.Document;
            foreach (Field f in c1Report1.Fields)
            {
                listBox1.Items.Add(f.Name);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            c1Report1.Fields[listBox1.SelectedItem.ToString()].Visible = true;
            c1Report1.Render();
            printPreviewControl1.Document = c1Report1.Document;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            c1Report1.Fields[listBox1.SelectedItem.ToString()].Visible = false;
            c1Report1.Render();
            printPreviewControl1.Document = c1Report1.Document;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            listBox1.Items.Clear();
            c1Report1.Load(@"CommonTasks.xml", comboBox1.SelectedItem.ToString());
            printPreviewControl1.Document = c1Report1.Document;
            foreach (Field f in c1Report1.Fields)
            {
                listBox1.Items.Add(f.Name);
            }
        }
    }
}
